REM @echo off

setlocal

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.ibm.adapters.http.HAAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

REM Branch between WBIA_RUNTIME and CROSSWORLDS
REM IF WBIA_RUNTIME is set use start_adapter launcher to run adapter
if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

call "%WBIA_RUNTIME%"\bin\CwConnEnv

REM set the directory where the specific connector resides
set CONNDIR="%WBIA_RUNTIME%"\connectors\%1

REM goto the connector specific drive and directory. CONNDIR is defined by caller
cd /d %CONNDIR%

REM set the jars to be added to classpath
set AGENT=%CONNDIR%\BIA_HTTP.jar
set XML_DH="%WBIA_RUNTIME%"\DataHandlers\CwXMLDataHandler.jar

REM set variables that need to pass to callee
set JVMArgs=
set JCLASSES=%AGENT%;%XML_DH%;%JCLASSES%
set LibPath=%CONNDIR%
set ExtDirs=%CONNDIR%\dependencies

call "%WBIA_RUNTIME%"\bin\start_adapter.bat -n%CONNAME%Connector -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5

goto END

:CROSSWORLDS
call "%CROSSWORLDS%"\bin\CWConnEnv

REM set the directory where the specific connector resides
set CONNDIR=%CROSSWORLDS%\connectors\%1

REM goto the connector specific drive & directory
cd /d "%CONNDIR%"

set XML_DH="%CROSSWORLDS%\DataHandlers\CwXMLDataHandler.jar"

set AGENT="%CONNDIR%\BIA_HTTP.jar"

set JCLASSES=.;%XML_DH%;%JCLASSES%;

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End
%CWJAVA% -mx128m %ORB_PROPERTY% -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS%;"%CONNDIR%"\dependencies -Duser.home="%CROSSWORLDS%" -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%" -cp %JCLASSES%;%AGENT% AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER% %3 %4 %5

:END

endlocal